-- API keys: MySQL

create table `apikeys` (
    `ident` bigint auto_increment primary key
   ,`account_url_name` varchar(32)
   ,`project_url_name` varchar(100)
   ,`name` varchar(100) not null
   ,`apikey` varchar(128) not null
   ,`is_created_by_auth_service` bit(1) not null default 0
   ,`is_active` bit(1) not null default 0
   ,`expiration` datetime
   ,`description` varchar(2000)
   ,`logging` varchar(200)
   ,`user_identifier` varchar(100)
   ,`data` text
   ,`roles` text
)
ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT = 2000
;

create unique index `uq_apikeys_apikey_account_project` on `apikeys`(`apikey`, `account_url_name`, `project_url_name`)
;

create index `ix_apikeys_project` on `apikeys`(`project_url_name`)
;
